// pages/getCertificate/getCertificate.js

import Notify from '../../dist/notify/notify';

var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    certificateList:[],
    name:'',//收件人姓名
    mobile: '',//收件人手机
    address: '',//详细收件地址
    inpShow: false,
    certificateId:''

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    //获取全部的证书
    this.getCertificateList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  },

  //获取全部的证书
  getCertificateList() {
    var that = this;
    //获取用户的证书
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_certificates.php',
      data: {
        unionId: config.unionId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        that.setData({
          certificateList: res.data.result.certificateList
        })
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //证书申领
  applyCertificate(e) {
    let certificateId = e.currentTarget.dataset['index'];
    this.setData({
      inpShow: true,
      certificateId: certificateId
    })
  },
  // 输入姓名
  changeName(event){
    this.setData({
      name: event.detail.value
    })
  },
  // 输入手机号
  changeMobile(event) {
    this.setData({
      mobile: event.detail.value
    })
  },
  // 输入详细地址
  changeAddress(event) {
    this.setData({
      address: event.detail.value
    })
  },

  //提交申请
  sureApplyCertificate() {
    var that = this;
    if (that.data.name == null || that.data.name.trim() == "") {
      Notify('请输入姓名')
      return
    }
    if (that.data.mobile == null || that.data.name.mobile() == "") {
      Notify('请输入手机号码')
      return
    }
    if (that.address.mobile == null || that.data.address.mobile() == "") {
      Notify('请输入收件地址')
      return
    }
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_apply_certificate.php',
      data: {
        unionId: config.unionId,
        certificateId: that.data.certificateId,
        name: that.data.name,
        mobile: that.data.mobile,
        address: that.data.address
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        that.setData({
          inpShow:false
        })
        wx.showToast({
          title: res.data.result.message,
          icon: 'success',
          duration: 2000
        });
        //跳转到我的证书
        wx.navigateTo({
          url: '../myCertificate/myCertificate'
        })
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },
  backApplyCertificate(){
    this.setData({
      inpShow:false
    })
  }
 
})